/**
 * Copyright 2012-2013 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"). You
 * may not use this file except in compliance with the License. A copy of
 * the License is located at
 *
 *     http://aws.amazon.com/apache2.0/
 *
 * or in the "license" file accompanying this file. This file is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
 * ANY KIND, either express or implied. See the License for the specific
 * language governing permissions and limitations under the License.
 */

var AWS = require('../core');

AWS.ElasticTranscoder = AWS.Service.defineService('./services/elastictranscoder.api', {
  Client: {
    setupRequestListeners: function setupRequestListeners(request) {
      request.addListener('extractError', this.extractErrorCode);
    },

    /**
     * @api private
     */
    extractErrorCode: function extractErrorCode(resp) {
      // ETS stores error type in the header
      var errorType = resp.httpResponse.headers['x-amzn-errortype'];
      if (errorType) {
        resp.error.name = resp.error.code = errorType.split(':')[0];
      }
    }
  }
});

module.exports = AWS.ElasticTranscoder;
